Package org.apache.qpid.proton.engine

# Interface ProtonJSslDomain

All Superinterfaces:
  `SslDomain`

All Known Implementing Classes:
  `SslDomainImpl`

public interface ProtonJSslDomain extends SslDomain
Extends `SslDomain` with functionality that is specific to proton-j

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.engine.SslDomain

`SslDomain.Factory, SslDomain.Mode, SslDomain.VerifyMode`

## Method Summary

### Methods inherited from interface org.apache.qpid.proton.engine.SslDomain

`allowUnsecuredClient, allowUnsecuredClient, getCertificateFile, getMode, getPeerAuthentication, getPrivateKeyFile, getPrivateKeyPassword, getSslContext, getTrustedCaDb, init, setCredentials, setPeerAuthentication, setSslContext, setTrustedCaDb`